#####################################################3
##
##  Copyright 2005 James W. MacDonald
##
##  probes2table - convert a vector of affy probe IDs
##                 to HTML or text tables
##
##  11-08-2005 Removed FC, tstat, and pval in lieu of
##      a list (otherdata) containing arbitrary information to add to table
##
####################################################

probes2table <- function(eset, probids, lib, otherdata = NULL,
                         anncols=aaf.handler()[c(1:3, 7:8, 10:13)], html=TRUE,
                         text=FALSE, express = TRUE, save=FALSE,  filename){

  require(annaffy, quietly=TRUE)

 

  anntable <- aafTableAnn(probids, lib, anncols)

  if(!is.null(otherdata)){
    if(!is(otherdata, "list")) stop("otherdata must be a list!")
    if(is.null(names(otherdata))) stop("otherdata must be a *named* list!")
    testtable <- aafTable(items = otherdata)
  }
  if(exists("testtable"))
    anntable <- merge(anntable, testtable)
  
  if(express){
    exprtable <- aafTableInt(eset, probeids=probids)
    anntable <- merge(anntable, exprtable)
  }
  
  if(html)
    saveHTML(anntable, paste(filename, "html", sep="."), title=filename)
  if(text)
    saveText(anntable, paste(filename, "txt", sep="."), header=TRUE)
  if(save)
    return(anntable)
}
